function f = linearPartLineSearch(y, yExpected)

% Compute 1/n * \sum L^T*L * Y{i}

n = length(y);
f = 0;

for i =1:n

    L = computeL(y{i});
    f = f + 1/n * trace((L*yExpected{i}')*(L*y{i})');
    
end

